summaryrefslogtreecommitdiff
path: root/dmake/autogen.sh
diff options
context:
space:
mode:
authorJens-Heiner Rechtien <hr@openoffice.org>2006-04-20 10:57:27 +0000
committerJens-Heiner Rechtien <hr@openoffice.org>2006-04-20 10:57:27 +0000
commit694be20f42c3d3caf0260720e26e970ad3179ef9 (patch)
tree507538ae40a02fc4867147a5fb88c7b3c84162f1 /dmake/autogen.sh
parentf2640e0ea372d41e9345c35b5b07968aec64980a (diff)
INTEGRATION: CWS dmake43p01 (1.5.80); FILE MERGED
2005/09/02 00:25:33 vq 1.5.80.2: #i52238# Regenerate configure and other autotools files. 2005/04/22 01:04:34 vq 1.5.80.1: #i47851# Increase the version number to 4.4-cvs and slightly rearrange the output of "dmake -V". Remove the hardcoded (in autotools builds) OS macro. It had the wrong value to be usable with the startup/*.mk and is not mentioned in the man page. Clean up configure.in and friends.
Diffstat (limited to 'dmake/autogen.sh')
-rwxr-xr-xdmake/autogen.sh37
1 files changed, 6 insertions, 31 deletions
diff --git a/dmake/autogen.sh b/dmake/autogen.sh
index c189f5689f76..d6abb5bde7b4 100755
--- a/dmake/autogen.sh
+++ b/dmake/autogen.sh
@@ -23,15 +23,12 @@ DIE=0
(autoconf --version ) < /dev/null > /dev/null 2>&1 || {
echo
echo "You must have autoconf installed to compile $PROJECT."
- echo "Get ftp://ftp.gnu.org/gnu/gettext/autoconf/autoconf-2.13.tar.gz"
DIE=1
}
-(automake --version) < /dev/null > /dev/null 2>&1 || {
+(automake --version ) < /dev/null > /dev/null 2>&1 || {
echo
echo "You must have automake installed to compile $PROJECT."
- echo "Get ftp://ftp.gnu.org/gnu/gettext/automake/automake-1.4.tar.gz"
- echo "(or a newer version if it is available)"
DIE=1
}
@@ -49,35 +46,13 @@ if test -z "$*"; then
echo "to pass any to it, please specify them on the $0 command line."
fi
-if test -z "$ACLOCAL_FLAGS"; then
+# After the first run of autoconf a configure file exists.
+# 'configure --enable-maintainer-mode' will start all other needed autotool helpers.
+# autoconf
- acdir=`aclocal --print-ac-dir`
- m4list="glib.m4"
+# needed when autotools version changed
+aclocal
- for file in $m4list
- do
- if [ ! -f "$acdir/$file" ]; then
- echo "WARNING: aclocal's directory is $acdir, but..."
- echo " no file $acdir/$file"
- echo " You may see fatal macro warnings below."
- echo " If these files are installed in /some/dir, set the ACLOCAL_FLAGS "
- echo " environment variable to \"-I /some/dir\", or install"
- echo " $acdir/$file."
- echo ""
- fi
- done
-fi
-
-#
-
-chmod 666 aclocal.m4
-aclocal $ACLOCAL_FLAGS
-
-# optionally feature autoheader
-(autoheader --version) < /dev/null > /dev/null 2>&1 && autoheader
-
-automake -a --include-deps $am_opt
-autoconf
cd $ORIGDIR
$srcdir/configure --enable-maintainer-mode --prefix=/usr/local "$@"